<?php

namespace FiloBlu\Hotfix\Plugin;

class CheckoutCartid {

    public function aroundoverride(\Magento\Webapi\Controller\Rest\ParamsOverrider $ParamsOverrider, \Closure $proceed, array $inputData, array $parameters) {
        //preserve the coupon code functionality
        if (isset($inputData['cartId']) && (!isset($inputData['couponCode']) || !isset($inputData['coupon_code']))) {
            $cartid = $inputData['cartId'];
        }
        $result = $proceed($inputData, $parameters);
        if (isset($cartid)) {
            $result['cartId'] = $cartid;
        }
        return $result;
    }

}
